OpenEMR < 5.0.1.4 Multiple Vulnerabilities

Published: 2018-08-14 07:22:33
CVE Author: NIST National Vulnerability Database (NVD)

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Detection Type:
Remote Banner

Summary:
This host is running OpenEMR and is prone to multiple vulnerabilities.

Detection Method:
Checks if a vulnerable version is present on the target host.

Technical Details:
The flaws consist of multiple SQL injection vulnerabilities, directory traversal vulnerabilities, OS command injection vulnerabilities, an authentication bypass vulnerability and an unrestricted file upload vulnerability.

Affected Versions:
OpenEMR versions before 5.0.1.4

Recommendations:
Upgrade to OpenEMR version 5.0.1.4 or later.

Solution Type:
Vendor Patch

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2018-15139
https://nvd.nist.gov/vuln/detail/CVE-2018-15140
https://nvd.nist.gov/vuln/detail/CVE-2018-15141
https://nvd.nist.gov/vuln/detail/CVE-2018-15142
https://nvd.nist.gov/vuln/detail/CVE-2018-15143
https://nvd.nist.gov/vuln/detail/CVE-2018-15144
https://nvd.nist.gov/vuln/detail/CVE-2018-15145
https://nvd.nist.gov/vuln/detail/CVE-2018-15146
https://nvd.nist.gov/vuln/detail/CVE-2018-15147
https://nvd.nist.gov/vuln/detail/CVE-2018-15148
https://nvd.nist.gov/vuln/detail/CVE-2018-15149
https://nvd.nist.gov/vuln/detail/CVE-2018-15150
https://nvd.nist.gov/vuln/detail/CVE-2018-15151
https://nvd.nist.gov/vuln/detail/CVE-2018-15152
https://nvd.nist.gov/vuln/detail/CVE-2018-15153
https://nvd.nist.gov/vuln/detail/CVE-2018-15154
https://nvd.nist.gov/vuln/detail/CVE-2018-15155
https://nvd.nist.gov/vuln/detail/CVE-2018-15156

References:

https://www.databreaches.net/openemr-patches-serious-vulnerabilities-uncovered-by-project-insecurity/
https://github.com/openemr/openemr/pull/1757/commits/c2808a0493243f618bbbb3459af23c7da3dc5485
https://github.com/openemr/openemr/pull/1765/files
https://github.com/openemr/openemr/pull/1758/files
https://github.com/openemr/openemr/pull/1757/files
https://insecurity.sh/reports/openemr.pdf
https://www.open-emr.org/wiki/index.php/OpenEMR_Patches

Search
Severity
High
CVSS Score
7.5

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.